// EmailDate.h

#ifndef EMAIL_DATE_H
#define EMAIL_DATE_H

#include <string>

using namespace std;


class EmailDate
{
public:

    EmailDate();
    EmailDate(const EmailDate&);
    virtual ~EmailDate();

    EmailDate& operator = (const EmailDate&);

    void SetValues(int year, int month, int day, int hour, int minute,
        int second);
    void SetValues(int year, int month, int day, int hour, int minute,
        int second, int zone);
    void SetCurrent();

    int Year() const { return mYear; }
    int Month() const { return mMonth; }
    int Day() const { return mDay; }
    int Hour() const { return mHour; }
    int Minute() const { return mMinute; }
    int Second() const { return mSecond; }
    int Zone() const { return mZone; }

    virtual const string& DisplayString() const;

private:

    int mYear;
    int mMonth;
    int mDay;
    int mHour;
    int mMinute;
    int mSecond;
    int mZone;
    mutable string mString;

};

#endif

